#include "mainwindow.h"

#include <QtGui/QApplication>
#include "mainwindow.h"
#include "sens.cpp"
#include "accelerometerwidget.h"
#include <QGridLayout>

#include <QLCDNumber>
#include <QSlider>
#include <QPushButton>
#include "qsound.h"


#include <QtGui/QApplication>

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);

    MainWindow mainWindow;
    accelerometerWidget acc;
    Sens z;

    QPushButton exit("Exit",&z);
    QPushButton start("Alarm",&z);

    start.setGeometry(80,416,150,60);
    exit.setGeometry(640,416,150,60);
    QObject::connect(&start, SIGNAL(clicked()), &acc, SLOT(showFullScreen()));
    //QObject::connect(&start, SIGNAL(clicked()), &acc, SLOT(valueCurrent()));
    //QObject::connect(&start, SIGNAL(clicked()), &acc, SLOT(voitureAlarm()));
    QObject::connect(&exit, SIGNAL(clicked()), &app, SLOT(quit()));

    mainWindow.setCentralWidget(&z);

    mainWindow.setOrientation(MainWindow::ScreenOrientationAuto);
    //mainWindow.showExpanded();

    mainWindow.showFullScreen();
    return app.exec();
}
